%define module_name slmdm
%define module_version 2.7.10
%define module_release alt1
%define module_source slmdm-%{module_version}.tar.gz
%define module_source_dir %{module_name}-%{module_version}

#### MODULE SOURCES ####
Name:          kernel-source-%{module_name}-%{module_version}
Version:       %{module_version}
Release:       %{module_release}
Summary:       Linux %{module_name} modules sources
License:       Proprietary
Group:         Development/Kernel
BuildArch:     noarch
Source0:       %{module_source}

Packager:       Kernel Maintainers Team <kernel@packages.altlinux.org>

%package -n kernel-modules-slmdm-data
Summary:       Linux %{module_name} modules country data
License:       Proprietary
Group:         Development/Kernel



%description
%{module_name} modules sources for Linux kernel

%description -n kernel-modules-slmdm-data
%{module_name} modules country data

%prep
%setup -c

%install
mkdir -p %{buildroot}%{_usrsrc}/kernel/sources
mkdir -p %{buildroot}%{_sysconfdir}
mv %{module_source_dir}/country.dat %{buildroot}%{_sysconfdir}
mv %{module_source_dir} kernel-source-%{module_name}-%{module_version}
tar -c kernel-source-%{module_name}-%{module_version} | bzip2 -c > \
    %{buildroot}%{_usrsrc}/kernel/sources/kernel-source-%{module_name}-%{module_version}.tar.bz2

%files
%{_usrsrc}/kernel/sources/kernel-source-%{module_name}-%{module_version}.tar.bz2

%files -n kernel-modules-slmdm-data
%{_sysconfdir}/country.dat

%changelog
* Fri Jul 11 2003 Peter Novodvorsky <nidd@altlinux.com> 2.7.10-alt1
- initial release.
